import matplotlib.pyplot as plt
import numpy as np
import seaborn as sns
import pandas as pd

mpg = sns.load_dataset("mpg")

fn_filter = lambda x: True if x in [4, 6] else False
fn_mod = lambda x: {4: 'four', 6: 'six', 8: 'eight'}[x]
mpg_country = mpg[mpg["origin"] != "europe"]
mpg_demo = mpg_country[mpg_country['cylinders'].map(fn_filter)].copy()
mpg_demo['cylinders'] = mpg_demo['cylinders'].map(fn_mod)

plt.figure(figsize=(15, 5))
lw_list = [6, 3, 1]
for i, lw in enumerate(lw_list):
    plt.subplot(1, len(lw_list), i + 1)
    sns.violinplot(x="origin", y="mpg", linewidth=lw, data=mpg_demo)

plt.show()
